package libs.kjc
{
   import flash.accessibility.Accessibility;
   import flash.accessibility.AccessibilityProperties;
   import flash.display.*;
   import flash.events.*;
   import flash.filters.*;
   import flash.geom.*;
   import flash.net.*;
   import flash.system.*;
   import flash.text.*;
   
   public class KJC_general
   {
       
      
      public function KJC_general()
      {
         super();
      }
      
      public static function uintToInt(param1:String) : int
      {
         var _loc2_:int = 0;
         var _loc3_:int = stringToInt(param1.slice(0,1));
         var _loc4_:int = stringToInt(param1.slice(1,2));
         return _loc3_ * 16 + _loc4_;
      }
      
      public static function goLink(param1:String, param2:String = "_self") : void
      {
         trace(param1 + "---" + param2);
      }
      
      public static function textStyle(param1:TextField, param2:String, param3:Number, param4:int = 0) : void
      {
         var _loc5_:StyleSheet = new StyleSheet();
         var _loc6_:Object;
         (_loc6_ = new Object()).letterSpacing = param3;
         _loc5_.setStyle(".heading",_loc6_);
         param1.styleSheet = _loc5_;
         param1.type = TextFieldType.DYNAMIC;
         switch(param4)
         {
            case 0:
               param1.autoSize = TextFieldAutoSize.LEFT;
               break;
            case 1:
               param1.autoSize = TextFieldAutoSize.RIGHT;
               break;
            case 2:
               param1.autoSize = TextFieldAutoSize.CENTER;
         }
         param1.htmlText = "<span class=\'heading\'>" + param2 + "</span>";
      }
      
      public static function textToInt(param1:String) : int
      {
         var _loc3_:String = null;
         var _loc2_:int = param1.length - 1;
         var _loc4_:String = param1;
         var _loc5_:int = 0;
         while(_loc5_ < _loc2_)
         {
            _loc3_ = _loc4_.slice(_loc5_,_loc5_ + 1);
            switch(_loc3_)
            {
               case "0":
                  break;
               default:
                  return int(param1);
            }
            param1 = _loc4_.slice(_loc5_ + 1);
            _loc5_++;
         }
         return int(param1);
      }
      
      public static function remove(param1:MovieClip) : void
      {
         if(param1.parent != null)
         {
            param1.parent.removeChild(param1);
         }
      }
      
      public static function getDays(param1:int, param2:int, param3:int) : int
      {
         var _loc4_:Date;
         return (_loc4_ = new Date(param1,param2 - 1,param3)).getDay();
      }
      
      public static function getDaysInMonth(param1:int, param2:int) : int
      {
         var _loc3_:* = new Array(31,28,31,30,31,30,31,31,30,31,30,31);
         if(isLeapYear(param1) == true)
         {
            _loc3_[1] = 29;
         }
         return _loc3_[param2 - 1];
      }
      
      private static function isLeapYear(param1:int) : Boolean
      {
         if(param1 % 4 == 0 && param1 % 100 != 0 || param1 % 400 == 0)
         {
            return true;
         }
         return false;
      }
      
      public static function TextLength(param1:String, param2:int, param3:int) : String
      {
         if(param1.length > param2)
         {
            return param1.slice(0,param3) + "...";
         }
         return param1;
      }
      
      public static function TextLengthRV(param1:String, param2:int) : String
      {
         var _loc3_:int = param1.length;
         var _loc4_:int = _loc3_ - param2;
         return param1.slice(_loc4_,_loc3_);
      }
      
      public static function BitmapMask(param1:MovieClip, param2:MovieClip, param3:Boolean) : void
      {
         param1.cacheAsBitmap = param3;
         param2.cacheAsBitmap = param3;
         param2.mask = param1;
      }
      
      public static function makeAccessible(param1:InteractiveObject, param2:Boolean, param3:String = null, param4:int = -1, param5:String = null) : *
      {
         if(param1.accessibilityProperties == null)
         {
            param1.accessibilityProperties = new AccessibilityProperties();
         }
         if(param2)
         {
            param1.tabEnabled = true;
            if(param1 is DisplayObjectContainer)
            {
               DisplayObjectContainer(param1).tabChildren = false;
            }
            if(param3 != null)
            {
               param1.accessibilityProperties.name = param3;
            }
            if(!isNaN(param4))
            {
               param1.tabIndex = param4;
            }
            if(param5 != null)
            {
               param1.accessibilityProperties.description = param5;
            }
            param1.accessibilityProperties.forceSimple = true;
            param1.accessibilityProperties.silent = true;
         }
         if(Capabilities.hasAccessibility)
         {
            Accessibility.updateProperties();
         }
      }
      
      public static function intToText(param1:int, param2:int) : String
      {
         var _loc5_:int = 0;
         var _loc3_:String = String(param1);
         var _loc4_:int;
         if((_loc4_ = _loc3_.length) < param2)
         {
            _loc5_ = _loc4_;
            while(_loc5_ < param2)
            {
               _loc3_ = "0" + _loc3_;
               _loc5_++;
            }
         }
         return _loc3_;
      }
      
      public static function frameReset(param1:MovieClip) : void
      {
         param1.gotoAndStop(1);
      }
      
      public static function Random(param1:int) : Number
      {
         var _loc2_:Number = Math.random();
         if(param1 < 10)
         {
            while(_loc2_ * 10 > param1)
            {
               _loc2_ = Math.random();
            }
            _loc2_ *= 10;
         }
         else if(param1 < 100)
         {
            while(_loc2_ * 100 > param1)
            {
               _loc2_ = Math.random();
            }
            _loc2_ *= 100;
         }
         else
         {
            while(_loc2_ * 1000 > param1)
            {
               _loc2_ = Math.random();
            }
            _loc2_ *= 1000;
         }
         return Math.round(_loc2_);
      }
      
      public static function focusOn(param1:MovieClip, param2:Function = null, param3:Function = null) : void
      {
         if(param2 != null)
         {
            param1.addEventListener(FocusEvent.FOCUS_IN,param2);
         }
         if(param3 != null)
         {
            param1.addEventListener(FocusEvent.FOCUS_OUT,param3);
         }
      }
      
      public static function DrawRect(param1:MovieClip, param2:uint, param3:int, param4:int, param5:Number = 1) : void
      {
         param1.graphics.clear();
         param1.graphics.beginFill(param2,param5);
         param1.graphics.drawRect(0,0,param3,param4);
      }
      
      public static function saturationFilter(param1:DisplayObject, param2:Number, param3:Number) : void
      {
         if(param2 == 0 && param3 == 0)
         {
            param1.filters = null;
            return;
         }
         var _loc4_:Array = (_loc4_ = (_loc4_ = (_loc4_ = (_loc4_ = new Array()).concat([param3,param2,param2,0,0])).concat([param2,param3,param2,0,0])).concat([param2,param2,param3,0,0])).concat([0,0,0,1,0]);
         var _loc5_:ColorMatrixFilter = new ColorMatrixFilter(_loc4_);
         param1.filters = [_loc5_];
      }
      
      public static function Out(param1:MouseEvent) : void
      {
         param1.currentTarget.prevFrame();
      }
      
      public static function Click(param1:MouseEvent) : void
      {
         var _loc2_:* = param1.currentTarget;
         if(_loc2_.tar == undefined || _loc2_.tar == "" || _loc2_.tar == null)
         {
            _loc2_.tar = "_self";
         }
         navigateToURL(new URLRequest(_loc2_.link),_loc2_.tar);
      }
      
      public static function loadObj(param1:MovieClip, param2:String, param3:int = 0, param4:int = 0, param5:int = 0, param6:Function = null, param7:Function = null, param8:* = null, param9:Boolean = true) : void
      {
         var _loc10_:Loader = new Loader();
         var _loc11_:URLRequest = new URLRequest(param2);
         var _loc12_:LoaderContext;
         (_loc12_ = new LoaderContext()).checkPolicyFile = true;
         _loc12_.applicationDomain = ApplicationDomain.currentDomain;
         _loc10_.load(_loc11_,_loc12_);
         if(param9 == true)
         {
            param1.addChildAt(_loc10_,param5);
            _loc10_.x = param3;
            _loc10_.y = param4;
         }
         if(param7 != null)
         {
            _loc10_.contentLoaderInfo.addEventListener(Event.COMPLETE,param7);
         }
         if(param6 != null)
         {
            _loc10_.contentLoaderInfo.addEventListener(IOErrorEvent.IO_ERROR,param6);
         }
         if(param8 != null)
         {
            _loc10_.contentLoaderInfo.addEventListener(ProgressEvent.PROGRESS,param8);
         }
      }
      
      private static function stringToInt(param1:String) : int
      {
         var _loc2_:int = 0;
         var _loc3_:* = undefined;
         switch(param1)
         {
            case "a":
               _loc2_ = 10;
               break;
            case "b":
               _loc2_ = 11;
               break;
            case "c":
               _loc2_ = 12;
               break;
            case "d":
               _loc2_ = 13;
               break;
            case "e":
               _loc2_ = 14;
               break;
            case "f":
               _loc2_ = 15;
               break;
            case "A":
               _loc2_ = 10;
               break;
            case "B":
               _loc2_ = 11;
               break;
            case "C":
               _loc2_ = 12;
               break;
            case "D":
               _loc2_ = 13;
               break;
            case "E":
               _loc2_ = 14;
               break;
            case "F":
               _loc2_ = 15;
               break;
            default:
               _loc3_ = param1;
               _loc2_ = _loc3_ - 0;
         }
         return _loc2_;
      }
      
      public static function btnOff(param1:MovieClip, param2:Function = null, param3:Function = null, param4:Function = null) : void
      {
         param1.buttonMode = false;
         if(param3 != null)
         {
            param1.removeEventListener(MouseEvent.MOUSE_OVER,param3);
         }
         if(param4 != null)
         {
            param1.removeEventListener(MouseEvent.MOUSE_OUT,param4);
         }
         if(param2 != null)
         {
            param1.removeEventListener(MouseEvent.CLICK,param2);
         }
      }
      
      public static function Over(param1:MouseEvent) : void
      {
         param1.currentTarget.nextFrame();
      }
      
      public static function ReSizeImg(param1:int, param2:int, param3:Bitmap) : void
      {
         var _loc6_:Number = NaN;
         var _loc4_:Number = param3.width;
         var _loc5_:Number = param3.height;
         if(_loc4_ > param1 || _loc5_ > param2)
         {
            param3.smoothing = true;
            if(_loc4_ > param1)
            {
               _loc6_ = param1 / _loc4_;
               _loc4_ = param1;
               _loc5_ *= _loc6_;
            }
            if(_loc5_ > param2)
            {
               _loc6_ = param2 / _loc5_;
               _loc5_ = param2;
               _loc4_ *= _loc6_;
            }
         }
         param3.height = _loc5_;
         param3.width = _loc4_;
         param3.x = Math.floor((param1 - _loc4_) / 2);
         param3.y = Math.floor((param2 - _loc5_) / 2);
      }
      
      public static function focusOff(param1:MovieClip, param2:Function = null, param3:Function = null) : void
      {
         if(param2 != null)
         {
            param1.removeEventListener(FocusEvent.FOCUS_IN,param2);
         }
         if(param3 != null)
         {
            param1.removeEventListener(FocusEvent.FOCUS_OUT,param3);
         }
      }
      
      public static function DrawRectGradient(param1:MovieClip, param2:uint, param3:int, param4:int, param5:int, param6:Number = 0) : void
      {
         param1.graphics.clear();
         var _loc7_:String = GradientType.LINEAR;
         var _loc8_:Array = [param2,param2,param2,param2];
         var _loc9_:Array = [0,1,1,0];
         var _loc10_:Array = [0,param5,255 - param5,255];
         var _loc11_:Matrix;
         (_loc11_ = new Matrix()).createGradientBox(param3,25,param6,0,0);
         param1.graphics.beginGradientFill(_loc7_,_loc8_,_loc9_,_loc10_,_loc11_);
         param1.graphics.drawRect(0,0,param3,param4);
      }
      
      public static function textDivision(param1:String, param2:String) : Array
      {
         var _loc4_:String = null;
         var _loc3_:int = param1.length;
         var _loc5_:Array = new Array();
         var _loc6_:String = "";
         var _loc7_:int = 0;
         var _loc8_:int = 0;
         var _loc9_:int = 0;
         while(_loc9_ < _loc3_)
         {
            _loc4_ = param1.slice(_loc9_,_loc9_ + 1);
            switch(_loc4_)
            {
               case param2:
                  _loc5_[_loc7_] = param1.slice(_loc8_,_loc9_);
                  _loc7_++;
                  _loc8_ = _loc9_ + 1;
                  break;
            }
            _loc9_++;
         }
         _loc5_.push(param1.slice(_loc8_));
         return _loc5_;
      }
      
      public static function colorFilter(param1:DisplayObject, param2:String) : void
      {
         var _loc3_:int = uintToInt(param2.slice(2,4));
         var _loc4_:int = uintToInt(param2.slice(4,6));
         var _loc5_:int = uintToInt(param2.slice(6,8));
         var _loc6_:Number = _loc3_ / 255;
         var _loc7_:Number = _loc4_ / 255;
         var _loc8_:Number = _loc5_ / 255;
         param1.transform.colorTransform = new ColorTransform(0,0,0,1,_loc3_,_loc4_,_loc5_,0);
      }
      
      public static function btnOn(param1:MovieClip, param2:Function = null, param3:Function = null, param4:Function = null, param5:Boolean = true) : void
      {
         param1.stop();
         param1.buttonMode = param5;
         if(param3 != null)
         {
            param1.addEventListener(MouseEvent.MOUSE_OVER,param3);
         }
         if(param4 != null)
         {
            param1.addEventListener(MouseEvent.MOUSE_OUT,param4);
         }
         if(param2 != null)
         {
            param1.addEventListener(MouseEvent.CLICK,param2);
         }
      }
      
      public static function RemoveAllChild(param1:MovieClip, param2:DisplayObject = null) : String
      {
         var _loc4_:* = undefined;
         var _loc3_:int = param1.numChildren;
         var _loc5_:int = _loc3_;
         while(_loc5_ > 0)
         {
            if((_loc4_ = param1.getChildAt(_loc5_ - 1)) != param2)
            {
               param1.removeChild(_loc4_);
            }
            _loc5_--;
         }
         return "ok";
      }
   }
}
